# Uses of Interface
net.shibboleth.idp.plugin.authn.webauthn.client.WebAuthnAuthenticationClient

Packages that use WebAuthnAuthenticationClient
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.client
Client APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.client.impl
This package has WebAuthn client implementations for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.impl
This package has an authentication implementation for WebAuthn.

## Uses of WebAuthnAuthenticationClient in net.shibboleth.idp.plugin.authn.webauthn.client

Methods in net.shibboleth.idp.plugin.authn.webauthn.client that return WebAuthnAuthenticationClient
Modifier and Type
Method
Description
`WebAuthnAuthenticationClient`
WebAuthnAuthenticationClientFactory.`createInstance()`
Create an `WebAuthnAuthenticationClient` instance.

## Uses of WebAuthnAuthenticationClient in net.shibboleth.idp.plugin.authn.webauthn.client.impl

Classes in net.shibboleth.idp.plugin.authn.webauthn.client.impl that implement WebAuthnAuthenticationClient
Modifier and Type
Class
Description
`class`
`YubicoWebAuthnAuthenticationClient`
Yubico implementation of a `WebAuthnAuthenticationClient`.
Methods in net.shibboleth.idp.plugin.authn.webauthn.client.impl that return WebAuthnAuthenticationClient
Modifier and Type
Method
Description
`WebAuthnAuthenticationClient`
YubicoWebauthnClientFactory.`getObject()`

## Uses of WebAuthnAuthenticationClient in net.shibboleth.idp.plugin.authn.webauthn.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.impl declared as WebAuthnAuthenticationClient
Modifier and Type
Field
Description
`private WebAuthnAuthenticationClient`
AbstractWebAuthnAction.`webAuthnClient`
The WebAuthn client to use.
`private WebAuthnAuthenticationClient`
ValidateWebAuthnAssertion.`webAuthnClient`
The WebAuthn client to use.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl that return WebAuthnAuthenticationClient
Modifier and Type
Method
Description
`protected WebAuthnAuthenticationClient`
AbstractWebAuthnAction.`getWebAuthnClient()`
Get the WebAuthn client used to handle registration and authentication ceremonies.
Methods in net.shibboleth.idp.plugin.authn.webauthn.impl with parameters of type WebAuthnAuthenticationClient
Modifier and Type
Method
Description
`void`
AbstractWebAuthnAction.`setWebAuthnClient(WebAuthnAuthenticationClient client)`
Set the WebAuthn client used to handle registration and authentication ceremonies.
`void`
ValidateWebAuthnAssertion.`setWebAuthnClient(WebAuthnAuthenticationClient client)`
Set the WebAuthn client used to handle validation of the authentication ceremony.